﻿using Falcon.SugarApi.Plugin;
using Falcon.SugarApi.Plugin.Client;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace $safeprojectname$
{
    /// <inheritdoc/>
    public class ServicePlugin:IServicePlugin
    {
        /// <inheritdoc/>
        public IServiceCollection AddServices(IServiceCollection services,IConfiguration configuration) {
            var sec = configuration.GetSection($safeprojectname$Options.PluginAreaName);
            //检查是否配置组件配置
            if(!sec.Exists()) {
                return services;
            }
            //注册本程序集中的组件控制器
            services.AddPluginsController(this.GetType().Assembly);

            //注册配置
            services.AddTransient<$safeprojectname$Options>();

            //注册任务
            //services.AddHostedService<AddRegisterTask>();
            //services.AddHostedService<AddReimbursementTask>();

            //注册工具
            

            //返回服务集合
            return services;
        }
    }
}
